package com.ruoyi.system.service;

import com.ruoyi.system.domain.DanganFile;

import java.util.List;

/**
 * 档案文件Service接口
 * 
 * @author ruoyi
 * @date 2022-10-25
 */
public interface IDanganFileService 
{
    /**
     * 查询档案文件
     * 
     * @param fileId 档案文件ID
     * @return 档案文件
     */
    public DanganFile selectDanganFileById(Long fileId);

    /**
     * 查询档案文件列表
     * 
     * @param danganFile 档案文件
     * @return 档案文件集合
     */
    public List<DanganFile> selectDanganFileList(DanganFile danganFile);

    /**
     * 新增档案文件
     * 
     * @param danganFile 档案文件
     * @return 结果
     */
    public int insertDanganFile(DanganFile danganFile);

    /**
     * 修改档案文件
     * 
     * @param danganFile 档案文件
     * @return 结果
     */
    public int updateDanganFile(DanganFile danganFile);

    /**
     * 批量删除档案文件
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteDanganFileByIds(String ids);

    /**
     * 删除档案文件信息
     * 
     * @param fileId 档案文件ID
     * @return 结果
     */
    public int deleteDanganFileById(Long fileId);
}
